const {mongoose} = require("mongoose");

const PlanSchema  = new mongoose.Schema({
    title:{
        type:String,
        // required: true,
    },
    validity:{
        type:Number,
        // required:true
    },
    session:{
        type:Number,
        // required:true
    },
    price:{
        inr:{
            type:Number,
            // required:true,
            min:1,
        },
        usd:{
            type:Number,
            // required:true,
            min:1,
        },
        eur:{
            type:Number,
            // required:true,
            min:1,
        },
    },
    description:{
        type:String,
        // required: true,
    },
    data:{
        // required: true,
    }
},{
    timestamps: {
        createdAt: 'created_at',
        updatedAt: 'updated_at'
    }
})
const Plan = mongoose.model('Plan', PlanSchema)

module.exports = {Plan};