const {mongoose} = require("mongoose");

const CountrySchema  = new mongoose.Schema({
    name:{
        type:String,
        required: true,
    },
    code:{
        type:String,
        required: true,
    }
},{
    timestamps: {
        createdAt: 'created_at',
        updatedAt: 'updated_at'
    }
})
const Country = mongoose.model('Country', CountrySchema)

module.exports = {Country};